<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Home - Crypt Tool</title>

        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <link rel="stylesheet" href="../css/materialize.min.css" type="text/css">
        <link rel="stylesheet" href="../css/north.colorscheme.css" type="text/css">

        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

        <script src="../scripts/materialize.min.js" type="text/javascript"></script>
        <script type="text/javascript">
            document.addEventListener('DOMContentLoaded', function() {
                var selectElems = document.querySelectorAll('select');
                var selectInstances = M.FormSelect.init(selectElems);
            });
        </script>
        <script async data-website-id="e83b75cd-f9cf-4d6d-9c16-8bb7cd70651c" src="https://umami.sgart.io/umami.js"></script>
        <script src="../scripts/form-actions.js" type="text/javascript"></script>
        <script src="../scripts/utils.js" type="text/javascript"></script>
        <script src="../scripts/algorithms/decryption.js" type="text/javascript"></script>
        <script src="../scripts/algorithms/encryption.js" type="text/javascript"></script>
    </head>
    <body>
        <nav>

        </nav>
        <main>
            <div class="container">
                <div class="row"></div>
                <div class="row">
                    <form id="input-form" method="post">
                        <div class="input-field col s12">
                            <textarea id="source" class="materialize-textarea"></textarea>
                            <label for="source">Source</label>
                        </div>
                        <div class="input-field col m4 s12">
                            <select id="method" onchange="methodChanged()">
                                <option value="0" disabled="disabled" selected="selected">Select method</option>
                                <optgroup label="Encryption only">
                                    <option class="umami--select--md5" value="1">md5</option>
                                    <option class="umami--select--sha256" value="2">sha256</option>
                                </optgroup>
                                <optgroup label="Other">
                                    <option class="umami--select--caesar" value="3">Caesar</option>
                                    <option class="umami--select--morse-code" value="4">Morse Code</option>
                                    <option class="umami--select--base64" value="5">base64</option>
                                    <option class="umami--select--vigniere" value="6">Vigniere</option>
                                </optgroup>
                            </select>
                            <label for="method">Method</label>
                            <span id="error-method" class="helper-text" data-error="Please select a valid method"></span>
                        </div>
                        <div class="input-field col m4 s12">
                            <select id="mode">
                                <option id="methodSelect" value="0" disabled="disabled" selected="selected">Select mode</option>
                                <option class="umami--select--encryption" id="encryptSelect" value="1">Encrypt</option>
                                <option class="umami--select--decryption" id="decryptSelect" value="2">Decrypt</option>
                            </select>
                            <label for="mode">Mode</label>
                            <span id="error-mode" class="helper-text" data-error="Please select a valid mode"></span>
                        </div>
                        <div class="input-field col m4 s12">
                            <input id="salt" type="text">
                            <label for="salt">SALT</label>
                        </div>
                        <div class="input-field col s12">
                            <textarea id="output" class="materialize-textarea" readonly="readonly">The converted source will appear here</textarea>
                            <label for="output">Converted output</label>
                            <span id="error-output" class="helper-text" data-error="Something went wrong while converting"></span>
                        </div>
                    </form>
                    <div class="input-field col m4 s12">
                        <button class="btn waves-effect waves-light" type="button" name="submit" onclick="formSubmit()">Convert
                            <i class="material-icons right">lock</i>
                        </button>
                    </div>
                </div>
            </div>
        </main>
    </body>
</html>
